AtomSetChooser.AtomSet
Date: 2019-10-22

org.openscience.jmol.app.jmolpanel

## Class AtomSetChooser.AtomSet

- java.lang.Object
- - javax.swing.tree.DefaultMutableTreeNode
  - - org.openscience.jmol.app.jmolpanel.AtomSetChooser.AtomSet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode
  Enclosing class:
    AtomSetChooser

      private static class AtomSetChooser.AtomSet
      extends javax.swing.tree.DefaultMutableTreeNode

  Objects in the AtomSetChooser tree

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `atomSetIndex` The index of that AtomSet
    `private java.lang.String` | `atomSetName` The name of the AtomSet

    - ### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

      `allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AtomSet(int atomSetIndex, java.lang.String atomSetName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAtomSetIndex()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

      `add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### atomSetIndex

          private int atomSetIndex

      The index of that AtomSet

    - #### atomSetName

          private java.lang.String atomSetName

      The name of the AtomSet

  - ### Constructor Detail

    - #### AtomSet

          public AtomSet(int atomSetIndex,
                         java.lang.String atomSetName)

  - ### Method Detail

    - #### getAtomSetIndex

          public int getAtomSetIndex()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `javax.swing.tree.DefaultMutableTreeNode`